## diet?download=602&tmstv=1761899702

=== docs/manual/fig/Makefile ===
all: LogCentral_component2.eps

%.eps: %.fig
	fig2dev -L eps $*.fig $*.eps

clean:
	rm -f *.eps

=== control ===
Source: logservice
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Haïkel Guémar <haikel.guemar@sysfera.com>
Build-Depends: debhelper (>= 7.0.50~), cmake, python-docutils,
               libomniorb4-dev, omniidl, chrpath
Standards-Version: 3.9.2
Section: science
Homepage: http://graal.ens-lyon.fr/DIET/logservice.html
Vcs-Git: git://anonscm.debian.org/debian-science/packages/logservice.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/logservice.git


Package: logcentral
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Logging service for distributed applications
 Monitoring distributed applications that are spread over a network is not an 
 easy task.  Information from several sources must be gathered,  filtered and 
 distributed to visualisation tools.
 .            
 LogService is a system that simplifies this task. 
 It acts as a common base between an application and it's visualisation tools.
 It also provides a mechanism to classify and filter messages in a general 
 way and other functions are needed to monitor distributed applications.
 .
 The service is named LogCentral.

Package: logcentral-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Logging service for distributed applications
 Monitoring distributed applications that are spread over a network is not an 
 easy task.  Information from several sources must be gathered,  filtered and 
 distributed to visualisation tools.
 .            
 LogService is a system that simplifies this task. 
 It acts as a common base between an application and it's visualisation tools.
 It also provides a mechanism to classify and filter messages in a general 
 way and other functions are needed to monitor distributed applications.
 .
 The service is named LogCentral.


Package: liblogservicecomponentbase2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for building LogService components
 LogService is a logging service for distributed applications.
 .
 This library allows writing components (or sources) that will log messages
 into LogCentral.

Package: liblogservicecomponentbase2-dev
Section: libdevel
Architecture: any
Depends: liblogservicecomponentbase2 (= ${binary:Version}),
         liblogforwarderutils2-dev (= ${binary:Version}),
         ${misc:Depends}     
Description: liblogservicecomponentbase development files
 LogService is a logging service for distributed applications.
 .
 This package contains development libraries and headers to build applications  
 using libLogComponentBase.

Package: liblogservicetoolbase2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for building LogService tools
 LogService is a logging service for distributed applications.
 .
 This library allows writing tools (or clients) that will be able to retrieve 
 logs from LogCentral.

Package: liblogservicetoolbase2-dev
Section: libdevel
Architecture: any
Depends: liblogservicetoolbase2 (= ${binary:Version}),
         liblogforwarderutils2-dev (= ${binary:Version}),
          ${misc:Depends}
Description: liblogservicetool development files
 LogService is a logging service for distributed applications.
 .
 This package contains development libraries and headers to build applications 
 using libLogServiceTool.

Package: liblogforwarderutils2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Base library for LogService elements
 LogService is a logging service for distributed applications.
 .
 This library serves as base library for libLogServiceComponentBase 
 and libLogServiceToolComponent.


Package: liblogforwarderutils2-dev
Section: libdevel
Architecture: any
Depends: liblogforwarderutils2 (= ${binary:Version}),
         libomniorb4-dev,
         ${misc:Depends}
Description: liblogforwarderutils development files
 LogService is a logging service for distributed applications.
 .
 This package contains development libraries and headers to build applications  
 using liblogforwarderutils.

=== rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_install :
	dh_auto_install --fail-missing
	# install daemon configuration file
	install -m 0644 -D  $(CURDIR)/debian/LogCentral.config $(CURDIR)/debian/tmp/etc/LogCentral.cfg
	chrpath --delete $(CURDIR)/debian/tmp/usr/bin/DIETtestTool
	chrpath --delete $(CURDIR)/debian/tmp/usr/bin/LogCentral
	chrpath --delete $(CURDIR)/debian/tmp/usr/bin/logForwarder
	chrpath --delete $(CURDIR)/debian/tmp/usr/bin/testComponent
	chrpath --delete $(CURDIR)/debian/tmp/usr/lib/libLog*.so.*
